
TYPO3.Fluid - Bug # 44826

Status: Resolved Priority: Should have
Author: Wouter Wolters Category:
Created: 2013-01-26 Assigned To:
Updated: 2013-03-26 Due date:
Has patch: No
Affected Flow version: (any)
Subject: groupedFor cannot group by DateTime-Objects
Description

The Fluid-ViewHelper groupedFor cannot group by as DateTime-Object defined properties.

Associated revisions
Revision c7b4af75 - 2013-03-26 16:51 - Wouter Wolters

[BUGFIX] GroupedFor ViewHelper to support DateTime objects

The groupedFor view helper can group by DateTime objects as defined
in the properties of an object. It uses \DateTime::RFC850 format to
group by internally, so the the subsequent groupKey can use it to
format a valid date again.

Change-Id: I06bdbd29c794c3bb085cba13353e7470ffbb3962
Fixes: #44826
Releases: master

History
#1 - 2013-01-26 17:48 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17730

#2 - 2013-02-02 15:49 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17730

#3 - 2013-02-02 17:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17730

#4 - 2013-02-02 17:47 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17730

#5 - 2013-02-08 20:35 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17730

#6 - 2013-03-26 16:52 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17730

#7 - 2013-03-26 17:36 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c7b4af75c6330fca3dcad3798fec0cc7f55d0d24.
